Wt: Wt::Form::WFormDelegate< std::string, void > Class Reference

Wt 4.10.4

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Wt::Form::WFormDelegate< std::string, void > Class Reference
Dbo Forms (Wt::Form)

Form delegate class for std::string More...

`#include <WFormDelegate.h>`

Inheritance diagram for Wt::Form::WFormDelegate< std::string, void >:
[legend]

## Public Member Functions
std::unique_ptr< Wt::WWidget > | createFormWidget () override
| Create WLineEdit to be used in the View.
void | updateModelValue (Wt::WFormModel *model, Wt::WFormModel::Field field, Wt::WFormWidget *edit) override
| Update the value in the Model.
virtual bool | updateModelValue (Wt::WFormModel *model, Wt::WFormModel::Field field, Wt::WWidget *edit)
| Updates a value in the Model.
Public Member Functions inherited from Wt::Form::WAbstractFormDelegate
| WAbstractFormDelegate ()
| Constructor.
virtual | ~WAbstractFormDelegate ()
| Destructor.
virtual std::shared_ptr< Wt::WValidator > | createValidator ()
| Create the validator to be used by the Model.
virtual void | updateViewValue (Wt::WFormModel *model, Wt::WFormModel::Field field, Wt::WFormWidget *edit)
| Updates a value in the View.
virtual bool | updateViewValue (Wt::WFormModel *model, Wt::WFormModel::Field field, Wt::WWidget *edit)
| Updates a value in the View.

## Detailed Description

Form delegate class for std::string

This will create a WLineEdit to display the std::string value in the View

## Member Function Documentation

## ◆ updateModelValue()

virtual bool Wt::Form::WAbstractFormDelegate::updateModelValue | ( | Wt::WFormModel * | model,
|  | Wt::WFormModel::Field | field,
|  | Wt::WWidget * | edit )
| virtual

Updates a value in the Model.

By default this method returns false.

The user should only override this method or the other updateModelValue method, depending on the type of widget that's returned by createFormWidget.

See also
  WTemplateFormView::updateModelValue()

Reimplemented from Wt::Form::WAbstractFormDelegate.